Skip to main content
GET
Incrementally list captured Procare conversations

Authorizations

Authorization
string
header
required

Access token issued by POST /sessions and associated with a valid server-side session.

Query Parameters

company_id
string<uuid>

Company UUID. Required on the first request and stored in subsequent cursors.

school_id
string<uuid>

School UUID. Required on the first request, stored in subsequent cursors, and always checked against the authenticated session.

channel
enum<string>
default:all
Available options:
office_chat,
classroom_chat,
all
posted_since
string<date-time>

Exclusive RFC3339 posted_at_utc lower bound for the first request. Mutually exclusive with cursor.

cursor
string

Opaque cursor returned by the preceding response. Contains all parameters required by the next request and must be the only query parameter when provided.

enrollment_status
enum<string>
default:active
Available options:
active,
all
student_id
string<uuid>
limit
integer
default:500
Required range: 1 <= x <= 500

Response

Incremental page of captured conversations.

Incremental captured conversation page.

school_id
string<uuid>
required
captured_through
string<date-time>
required

Latest captured_at included in the current cursor window.

next_cursor
string
required
has_more
boolean
required
messages
object[]
required